#ifndef ALARMWIDGET_H
#define ALARMWIDGET_H

#include <QWidget>
#include <memory>
#include "../../actors/alarmtime.h"

namespace Ui
{
class AlarmWidget;
}

class AlarmWidget : public QWidget
{
	Q_OBJECT

	std::shared_ptr<AlarmTime> alarm_;

public:
	explicit AlarmWidget(std::shared_ptr<AlarmTime>  alarm, QWidget *parent = nullptr);
	~AlarmWidget();

private slots:
	void toggleRepeating(int state);
	void setRepeatingType();

private:
	Ui::AlarmWidget *ui;
};

#endif // ALARMWIDGET_H
